{
  "name": "matrix",
  "version": "0.0.1-SNAPSHOT",
  "private": true,
  "description": "Description for Matrix",
  "license": "UNLICENSED",
  "scripts": {
    "app:start": "./mvnw",
    "app:up": "docker compose -f src/main/docker/app.yml up --wait",
    "backend:build-cache": "./mvnw dependency:go-offline",
    "backend:debug": "./mvnw -Dspring-boot.run.jvmArguments=\"-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:8000\"",
    "backend:doc:test": "./mvnw -ntp javadoc:javadoc --batch-mode",
    "backend:info": "./mvnw -ntp enforcer:display-info --batch-mode",
    "backend:nohttp:test": "./mvnw -ntp checkstyle:check --batch-mode",
    "backend:start": "./mvnw -Dskip.installnodenpm -Dskip.npm",
    "backend:unit:test": "./mvnw -ntp -Dskip.installnodenpm -Dskip.npm verify --batch-mode -Dlogging.level.ROOT=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.br.edu.up.matrix=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF",
    "build": "npm run webapp:prod --",
    "build-watch": "concurrently 'npm run webapp:build:dev -- --watch' npm:backend:start",
    "ci:backend:test": "npm run backend:info && npm run backend:doc:test && npm run backend:nohttp:test && npm run backend:unit:test -- -P$npm_package_config_default_environment",
    "ci:e2e:package": "npm run java:$npm_package_config_packaging:$npm_package_config_default_environment -- -Pe2e -Denforcer.skip=true",
    "ci:e2e:prepare": "npm run ci:e2e:prepare:docker",
    "ci:e2e:prepare:docker": "npm run services:up --if-present && docker ps -a",
    "preci:e2e:server:start": "npm run services:db:await --if-present && npm run services:others:await --if-present",
    "ci:e2e:server:start": "java -jar target/e2e.$npm_package_config_packaging --spring.profiles.active=e2e,$npm_package_config_default_environment -Dlogging.level.ROOT=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.br.edu.up.matrix=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF --logging.level.org.springframework.web=ERROR",
    "ci:e2e:teardown": "npm run ci:e2e:teardown:docker --if-present",
    "ci:e2e:teardown:docker": "docker compose -f src/main/docker/services.yml down -v && docker ps -a",
    "ci:frontend:test": "npm run webapp:build:$npm_package_config_default_environment && npm run test-ci",
    "clean-www": "rimraf target/classes/static/",
    "cleanup": "rimraf target/",
    "docker:db:down": "docker compose -f src/main/docker/mysql.yml down -v",
    "docker:db:up": "docker compose -f src/main/docker/mysql.yml up --wait",
    "java:docker": "./mvnw -ntp verify -DskipTests -Pprod jib:dockerBuild",
    "java:docker:arm64": "npm run java:docker -- -Djib-maven-plugin.architecture=arm64",
    "java:docker:dev": "npm run java:docker -- -Pdev,webapp",
    "java:docker:prod": "npm run java:docker -- -Pprod",
    "java:jar": "./mvnw -ntp verify -DskipTests --batch-mode",
    "java:jar:dev": "npm run java:jar -- -Pdev,webapp",
    "java:jar:prod": "npm run java:jar -- -Pprod",
    "java:war": "./mvnw -ntp verify -DskipTests --batch-mode -Pwar",
    "java:war:dev": "npm run java:war -- -Pdev,webapp",
    "java:war:prod": "npm run java:war -- -Pprod",
    "jest": "jest --coverage --logHeapUsage --maxWorkers=2 --config jest.conf.js",
    "jest:update": "npm run jest -- --updateSnapshot",
    "lint": "eslint . --ext .js,.ts,.jsx,.tsx",
    "lint:fix": "npm run lint -- --fix",
    "prettier:check": "prettier --check \"{,src/**/,webpack/,.blueprint/**/}*.{md,json,yml,html,cjs,mjs,js,ts,tsx,css,scss,java}\"",
    "prettier:format": "prettier --write \"{,src/**/,webpack/,.blueprint/**/}*.{md,json,yml,html,cjs,mjs,js,ts,tsx,css,scss,java}\"",
    "services:up": "docker compose -f src/main/docker/services.yml up --wait",
    "start": "npm run webapp:dev --",
    "start-tls": "npm run webapp:dev -- --env.tls",
    "pretest": "npm run lint",
    "test": "npm run jest --",
    "test-ci": "npm run lint && npm run jest:update --",
    "test:watch": "npm run jest -- --watch",
    "watch": "concurrently 'npm run start' npm:backend:start",
    "webapp:build": "npm run clean-www && npm run webapp:build:dev --",
    "webapp:build:dev": "webpack --config webpack/webpack.dev.js --env stats=minimal",
    "webapp:build:prod": "webpack --config webpack/webpack.prod.js --progress=profile",
    "webapp:dev": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --env stats=minimal",
    "webapp:dev-verbose": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --progress=profile --env stats=normal",
    "webapp:prod": "npm run clean-www && npm run webapp:build:prod --",
    "webapp:test": "npm run test --",
    "webpack-dev-server": "webpack serve"
  },
  "config": {
    "backend_port": 8080,
    "default_environment": "prod",
    "packaging": "jar"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "6.4.2",
    "@fortawesome/free-solid-svg-icons": "6.4.2",
    "@fortawesome/react-fontawesome": "0.2.0",
    "@reduxjs/toolkit": "1.9.7",
    "axios": "1.5.1",
    "bootstrap": "5.3.2",
    "bootswatch": "5.3.2",
    "dayjs": "1.11.10",
    "lodash": "4.17.21",
    "path-browserify": "1.0.1",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-hook-form": "7.47.0",
    "react-jhipster": "0.25.3",
    "react-loadable": "5.5.0",
    "react-redux": "8.1.3",
    "react-redux-loading-bar": "5.0.4",
    "react-router-dom": "6.16.0",
    "react-toastify": "9.1.3",
    "react-transition-group": "4.4.5",
    "reactstrap": "9.2.0",
    "redux": "4.2.1",
    "redux-thunk": "2.4.2",
    "tslib": "2.6.2",
    "uuid": "9.0.1"
  },
  "devDependencies": {
    "@testing-library/react": "14.0.0",
    "@types/jest": "29.5.5",
    "@types/lodash": "4.14.199",
    "@types/node": "18.18.5",
    "@types/react": "18.2.28",
    "@types/react-dom": "18.2.13",
    "@types/react-redux": "7.1.27",
    "@types/redux": "3.6.31",
    "@types/webpack-env": "1.18.2",
    "@typescript-eslint/eslint-plugin": "6.7.5",
    "@typescript-eslint/parser": "6.7.5",
    "autoprefixer": "10.4.16",
    "browser-sync": "2.29.3",
    "browser-sync-webpack-plugin": "2.3.0",
    "concurrently": "8.2.1",
    "copy-webpack-plugin": "11.0.0",
    "core-js": "3.33.0",
    "cross-env": "7.0.3",
    "css-loader": "6.8.1",
    "css-minimizer-webpack-plugin": "5.0.1",
    "eslint": "8.51.0",
    "eslint-config-prettier": "9.0.0",
    "eslint-plugin-react": "7.33.2",
    "eslint-webpack-plugin": "4.0.1",
    "fork-ts-checker-webpack-plugin": "9.0.0",
    "generator-jhipster": "8.0.0-rc.1",
    "html-webpack-plugin": "5.5.3",
    "identity-obj-proxy": "3.0.0",
    "jest": "29.7.0",
    "jest-environment-jsdom": "29.7.0",
    "jest-junit": "16.0.0",
    "jest-sonar": "0.2.16",
    "json-loader": "0.5.7",
    "mini-css-extract-plugin": "2.7.6",
    "postcss-loader": "7.3.3",
    "prettier": "3.0.3",
    "prettier-plugin-java": "2.3.1",
    "prettier-plugin-packagejson": "2.4.6",
    "react-infinite-scroll-component": "6.1.0",
    "redux-mock-store": "1.5.4",
    "rimraf": "5.0.5",
    "sass": "1.69.3",
    "sass-loader": "13.3.2",
    "simple-progress-webpack-plugin": "2.0.0",
    "sinon": "16.1.0",
    "source-map-loader": "4.0.1",
    "sourcemap-istanbul-instrumenter-loader": "0.2.0",
    "style-loader": "3.3.3",
    "swagger-ui-dist": "5.9.0",
    "terser-webpack-plugin": "5.3.9",
    "thread-loader": "4.0.2",
    "ts-jest": "29.1.1",
    "ts-loader": "9.5.0",
    "typescript": "5.2.2",
    "wait-on": "7.0.1",
    "webpack": "5.88.2",
    "webpack-cli": "5.1.4",
    "webpack-dev-server": "4.15.1",
    "webpack-merge": "5.9.0",
    "webpack-notifier": "1.15.0",
    "workbox-webpack-plugin": "7.0.0"
  },
  "engines": {
    "node": ">=18.18.1"
  },
  "cacheDirectories": [
    "node_modules"
  ]
}
